QGIS Application - Bug report #4945
Missing Krovak East North 102067 projection
2012-02-04 08:24 AM - Ivan Mincik

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14742
Description

In Slovak and Czech republic, we are mostly using S-JTSK East/North projection, which is not standardized by any official authority
(EPSG, ...) We use ESRI code 102067 for that.

This projection was removed in 1.7.4 (was in 1.7.3 as EPSG:102067).
It seems, that it was done in commit:42e02d82c05b4da370be77ef71345ba62457¢cc66 as the result of #4652.

If we want to clean EPSG database, the solution could be to add this projection under some other authority (ESRI or OSGEO ..).
It is essential, because currently we are not able to load any WMS layer in that projection, which is issue affecting all CzechoSlovak users
(QGIS is not able to correctly load WMS layer in unknown projection).

spatialreference.org is currently down. Here are projection parameters:

PROJ4: +proj=krovak +lat_0=49.5 +lon_0=24.83333333333333 +alpha=30.28813975277778 +k=0.9999 +x_0=0 +y_0=0
+ellps=bessel +units=m +no_defs

Related issues:
Related to QGIS Application - Feature request # 728: Added missing "S-JTSKI/Kr... Closed

Associated revisions

Revision 7f23d5f4 - 2012-07-11 08:57 AM - Jiirgen Fischer

Fix #4945

Revision 0da7539e - 2012-07-11 10:14 AM - Jiirgen Fischer

sync description of EPSG:102067 with GDAL (fixes #4945 again)

History

#1 - 2012-02-04 09:52 AM - Jiirgen Fischer
- Assignee deleted (Jiirgen Fischer)

#2 - 2012-02-07 06:46 AM - Tomas Vrana

| can confirm the same problem with current GIT version.
#3 - 2012-02-23 08:09 AM - Tomas Vrana

Basically the same situation as here #728
Except the insert string is a little different now:

insert into tbl_srs values ('26810','S-JTSK (Greenwich) / Krovak','krovak','bessel','+proj=krovak +lat_0=49.5 +lon_0=24.83333333333333
+alpha=30.28813972222222 +k=0.9999 +x_0=0 +y_0=0 +ellps=bessel +pm=greenwich +units=m +no_defs','102067','/EPSG','102067','0",'0");

#4 - 2012-03-28 07:14 AM - Jan Valenta

| can confirm this for the version 1.7.4. It is a serious issue since it is not possible to force custom projections to WMS layer.

#5 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-07-10 11:33 PM - Tomas Vrana

Still missing in 1.8.0 :~(

#7 - 2012-07-10 11:58 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"7f23d5f481380ea21b57228104dc8ca015e1a93c".

#8 - 2012-07-11 12:31 AM - Ilvan Mincik

- Status changed from Closed to Reopened

Jurgen Fischer wrote:

Fixed in changeset commit:"7f23d5f481380ea21b57228104dc8ca015e1a93c".

Jurgen, thanks a lot for Your interest to this ticket.

1. Would you please change 'description' field to more correct value 'S-JTSK East/North' [1].

2. Another issue is, that this projection actually does not exists in EPSG database - it is coming from ESRI [1]. Wouldn't it be better to add it under ESRI

authority name ?

1 - http:/spatialreference.org/ref/esri/102067/

#9 - 2012-07-11 01:17 AM - Jurgen Fischer
- Status changed from Reopened to Closed
http://spatialreference.org/ref/esri/102067/

Fixed in changeset commit:"0da7539e376dac3ad4ea50ai83ff4edbcb021d442".
